# Generated by Django 2.1.2 on 2018-10-06 13:31

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('item', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Bill',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_by', models.CharField(max_length=50)),
                ('approved_by', models.CharField(max_length=50)),
                ('approval_status', models.CharField(max_length=1)),
            ],
        ),
        migrations.CreateModel(
            name='BillDetails',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('price_per_unit', models.IntegerField(validators=[django.core.validators.MinValueValidator(1)])),
                ('quantity', models.IntegerField(validators=[django.core.validators.MinValueValidator(1)])),
                ('bill', models.ForeignKey(default=1, on_delete=django.db.models.deletion.SET_DEFAULT, to='bill.Bill')),
                ('item', models.ForeignKey(default=1, on_delete=django.db.models.deletion.SET_DEFAULT, to='item.Item')),
            ],
        ),
        migrations.AddField(
            model_name='bill',
            name='items',
            field=models.ManyToManyField(through='bill.BillDetails', to='item.Item'),
        ),
    ]
